Subtitle Edit Changelog

4.0.15 (6th February 2025)
* NEW
   * Add Central Kurdish (Sorani) support to Gemini translation
   * Add Estonian language auto-detect - thx Donat
   * Add speed parameter to ElevenLabs TTS - thx cvrle77
   * Add "copy original text" keyboard shortcuts
* IMPROVED:
   * Update Portuguese translation - thx Blackspirits
   * Update Italian translation - thx bovirus
   * Update Persian translation - thx rmtjokar
   * Update Korean translation - thx domddol
   * Update Chinese translation - thx nkh0472
   * Update Bulgarian translation - thx KalinM
   * Focus OK button in multiple-replace - thx David
   * Update translate AI model names
   * Update error messages for gzip and 7z files - thx Robert
   * Only merge lines that are really close (ismt dfxp) - thx OtaStrom
   * Update whisper cpp commad line help - thx nicolaev66
   * Update Vosk Breton - thx Pêr
* FIXED:
   * Set higher timeout for downloads (e.g. Purfview's faster whisper)
   * Allow wave generation of track 0 - thx MikieMikie
   * Fix for timestamps in dvbsub in mkv - thx GH
   * Fix for ffmpeg 8.0.1 - thx gerben
   * Try to fix Papago translate
   * Prompt for download of Whisper engine when running selected lines - thx ItsMibag 
   * Fix for stereo flag in TTS - thx cvrle77
   * Fix typo in Ollama prompt - thx calvinthefreak
   * Avoid making empty sc file when using move shortcut - thx OmrSi
   * Remove double space in shortcut name


4.0.14 (28th October 2025)
* NEW
   * Add Armenian translation - thx ArsenTech
   * Add Hebrew translation - thx q9411aa
   * Add Google-Lens OCR option - thx timminator
   * Update Whisper CPP to 1.8.2
* IMPROVED:
   * Update Persian translation - thx rmtjokar
   * Update Chinese translation - thx nkh0472
   * Update Italian translation - thx bovirus
   * Update Bulgarian translation - thx Калин
   * Update Polish translation - thx admas
   * Update Hungarian translation - thx Zityi
   * Update Armenian Translation - thx ArsenTech
   * Update Czech translation - thx Matěj
   * Make auto-translate settings delay label unit clear - thx Hunique
   * Update GPT model names - thx Elad
   * Update ffmpeg to v8.0
   * Allow vosk v0.3.45 - thx vivadavid
   * Add support for Unicode characters in MCC format - thx DavisR
   * Allow larger prompt for auto-translate - thx leegethas
   * Remember Whisper "Translate to English" state - thx pintelt
   * Add Hebrew for DeepL translate - thx rzeczywistoscia992-web
* FIXED:
   * Fix possible crash in auto-translate - thx Tb3986
   * Fix possible crash in Binary OCR - thx Codling
   * Fix nOCR italic issue - thx Zoltan
   * Fix for decimals in Czech language file - thx Lucas
   * Fix bug in "Change casing - Normal casing" with ASSA tags - thx eddebaby
   * Fix alone lowercase 'i' to 'I' issue - thx eddebaby
   * Fix for WebVTT green color - thx Saul1980
   * Fix UI selection/focus issue in translation window - thx rRobis 
   * Fix saving Google-translate-v2 key in translate window - thx Daniyel
   * Fix for "Remove text for hearing impaired" - thx psonnosp
   * Fix crash in "Remove text for hearing impaired" - thx Andrebavila
   * Fix for Frensh spell check - thx Fannette
   * Fix Latvian dictionary download - thx Toms200
   * Fix for copy/paste crash in text box - thx darnn/ivandrofly


4.0.13 (30th July 2025) 
* NEW
   * Add Mousepad horzontal scrolling - thx bjorn-ali-goransson
   * Add Tatar translation - thx Ирек
   * Allow complex number formatting in custom export - thx oph
* IMPROVED:
   * Update Ukrainian translation - thx Oleh
   * Update Macedonian translation - thx Gjorgji
   * Update Brazilian Portuguese translation - thx igorruckert
   * Update Portuguese translation - thx hugok79
   * Update Italian translation - thx bovirus
   * Update Polish translation - thx admas
   * Update German translation - thx Joachim
   * Update Russian translation - thx elfriob
   * Update Turksih translation - thx bilimiyorum
   * Update PaddleOCR to 3.1 - timminator
   * Update Whisper CPP to 1.7.6
   * Add Brazilian Portuguese for LibreTranslate - thx erickcomcek
   * Minor UI improvementx for burn-in - thx Leon
   * Add o4-mini/gpt-4.1-mini models for ChatGPT API
   * Enhance video file detection - thx timminator
   * Add openrouter google/gemini-flash-1.5-8b model - thx cvrle77
   * Add Windows 7 ffmpeg/mpv support (perhaps) - thx Mark   
   * Handle ASSA with milliseconds - thx ixff
   * Update Gemini models to include 2.5 family - thx mehmetsahin06
   * Improve English split list - thx fraternl
   * Optimize SRT reading
   * Add Myanmar (Burmese) in translation pairs - thx TwizzyIndy
   * Add option for combine waveform/spectrogram - thx Flitskikker
   * Allow non-Latin letters in WebVTT style name - thx linshi963
   * Update yt-dlp to 2025-07-21
* FIXED:
   * Enable automatic translation via proxy - thx solidvan
   * Fix crash in undo timer - thx darnn
   * Fix issues with "Close translation" - thx darnn
   * Fix VobSub with no idx file reading issue - thx C0bra5
   * Fix crash in translate - thx justcaws
   * Fix Brazil/Chinese in LibreTranslate - thx erickcomcek/smllin
   * Fix language code for Czech in ElevelLabs - thx Geglash15
   * Fix selected line after translate-via-copy-paste - thx Scripter
   * Fix crash in Whisper download model - thx lkintact
   * Fix crash/slow-duration-calculation - thx Cyberyoda1411
   * Fix wrong parameter for re-calculate-duration a few places
   * Fix for Japanese text length calculation - thx Ashita
   * Fix DeepL formality issue - thx rRobis
   * Fix issue with quote for AI auto-translate prompt - thx Zsolt
   * Fix no-audio-error in "Audio to text" on Linux - thx Kev1n121
   * Fix for VisualSync start/end index when < 4 lines - thx Leif
   * Fix extra "]" character in iTunes-timed-text - thx Silvia
   * Fix warning loading SubRip with only numbers - thx timminator
   * Fix freeze loading some files names - thx Flitskikker


4.0.12 (14th April 2025)
* NEW
   * Add read support for "OOONA json" format - thx Alfonso
   * New spectrogram themes + merge spectrogram/waveform UI - thx taylanunver
   * Add tool for converting actors between ASSA/brackets/parentheses/colon
   * Add OCR via Ollama vision models (granite3.2-vision, gemma3, mistral-small3.1)
   * Add Mistral AI translate
   * Add KoboldCpp AI translate - thx Oplay66
   * Add AvalAI translate - thx JJHACKER
   * Add "Chinese traditional" for DeepL - thx rdr44b 
   * Add voice-over for TTS - thx Chris-656
   * Add new shortcut for "Insert unicode symbol" to main text box - thx davidgaryesp
   * Add "gemini-2.0-flash" model (and allow custom model name) - thx yawoo
   * Allow custom prompt for Gemini + add 'gemini-2.0-flash-lite' - thx LightGrey
   * Add video player logo - thx Leon
* IMPROVED:
   * Update Korean translation - thx domddol
   * Update Greek translation - thx PMitsakis
   * Update Chinese translation - thx nkh0472
   * Update Polish translation - thx admas
   * Update French translation - thx Pierre
   * Update Italian translation - thx bovirus
   * Update Portuguese translation - thx hugok79
   * Update Czech translation - thx Matěj
   * Update Brazilian Portuguese translation - thx igorruckert
   * Update Russian translation - thx elfriob
   * Update Faster-Whisper-XXL to r245.4 - thx Purfview
   * Update Whisper CPP to 1.7.5
   * Update ffmpeg to 2025-03-31
   * Update yt-dlp to 2025-03-26
   * Improvements (speed and fixes) for PaddleOCR - thx timminator/Codling
   * Add standalone PaddleOCR (no Python required) - thx timminator
   * Make Whisper file list scrollable + auto scroll current item - thx RazyRo
   * Minor improvements for "spell check"
   * Some additions to dictionaries - thx Zoltán
   * Minor improvements for CSV importer - thx Louie
   * Allow loading subtitle from MP4/MKV in file compare - thx FireEmerald
   * Add CMD line SUP to SUP without OCR - thx AYColumbia
   * Improve "Fix invalid italics" - thx uckthis
   * Improve transparent subtitles for Vegas Pro - thx zzzzzz9125/Hintsmth
   * Add total-words + total-chars to custom format header/footer - thx Jorge
   * More consistent error msg in cmd line convert - thx xylographe/Hlsgs 
   * Add Brazilian Portuguese for LibreTranslate - thx erickcomcek
* FIXED:
   * Fix space character in PAC
   * Fix for LRC with MS parsing - thx AverageHoarder
   * Fix crash in TTS retry - thx cvrle77
   * Fix custom format duration > 1 min - thx bangwb
   * Fix WebVTT conversion of color-name to color - thx mbas-rtbf
   * Fix unwanted removal of space after colon in format EBU
   * Fix duration in DVB subs, support for stuffing type - thx stanislavpetkov
   * Fix namespace for textAlign attribute in "SMPTE-TT 2052" - thx palemieux
   * Use chosen video extension in "Gen video with transparent subs" - thx Leon
   * Do not add comma when merging lines - thx uckthis
   * Fix issue with italic in DCinema formats - thx MartinaBerger
   * Fix for split line with dialog - thx Yanngo
   * Fix for char "ã" in Piper TTS model/config


4.0.11 (28th January 2025)
* NEW
   * Shortcut for "Split line and play" - thx Leon
   * Shortcut for "Cycle audio track" - thx darnn
   * Add "Bookmark contains" option to "Modify selection" - thx BlohoJo
   * Add PaddleOCR - thx timminator
* IMPROVED:
   * Update Italian translation - thx bovirus
   * Update Portuguese translation - thx hugok79/Blackspirits
   * Update Polish translation - thx admas
   * Update Chinese translation - thx nkh0472
   * Update Finnish translation - thx Teijo S
   * Update Russian translation - thx elfriob
   * Include Whisper CuBlas again
   * Add simple retry for DeepL translate - thx rifatozkancomtr/dante3732
   * Add Icelandic to Gemini - thx dhofverberg
   * Update NLLB API from v2 to v4 - thx chelis10
   * "Auto continue" is now a little faster - thx Andrebavila 
   * Handle Unicode zero-width-whitespace in SRT time code - thx GJK
   * Update Faster Whisper XXL to r245.1
   * Add retry for ElevenLabs TTS API calls - thx cvrle77
   * Update yt-dlp to 2025.01.15
   * Update mpv to 2025-01-15
* FIXED:
   * Fix Google Translate V1 API
   * Make cmd line parameters case insensitive - thx czyrichard
   * Fix LRC ms start time reading - thx AverageHoarder
   * Fix ASS color picking bug - thx rRobis
   * Fix for "un-minimize" ocr window - thx GC
   * Fix "Remove text for HI" cmd line - thx Manujito
   * Fix for Netflix QC (write-out numbers 1-10) - thx senna2
   * Fix RemoveTextForHI webvtt issue - thx Manujito
   * Fix "Fix overlap" issue in "Fix common errors" - thx colemar 
   * Fix setting deeplx url - thx strong76
   * Fix rounding in format TSV1+TSV2 - thx wegylexy


4.0.10 (22nd December 2024)
* IMPROVED:
   * Update Whisper CPP to V1.7.3
   * More GT languages
* FIXED:
   * Fix for 7z unpacking (fix missing dll for portable version) - thx Purfview


4.0.9 (19th December 2024)
* NEW:
   * Add "Move all shot changes" shortcuts - thx acetilo
   * Add new shortcut "Move first word to previous subtitle" - thx Rychelle
   * Add Murf TTS - thx David
   * Add DeepLX translate - thx rifatozkancomtr 
   * Add some auto detect of CSV files with header
   * Add new "CSV daVinci" subtitle format - thx Jacques
* IMPROVED:
   * Update Portuguese translation - thx hugok79
   * Update Bulgarian translation - thx Калин
   * Update Russian translation - thx elfriob
   * Update Korean translation - thx domddol
   * Update Polish translation - thx admas
   * Update Italian translation - thx bovirus
   * Update Romanian installer translation - thx mircea
   * Update Dutch translation - thx Flitskikker
   * Update Whisper XXL to r239.1
   * Update Whisper XXL in-program 7-zip unpack
   * Update Whisper CPP to V1.7.2
   * Update ffmpeg to 7.1
   * Update Tesseract to 5.5.0
   * Update yt-dlp to 2024.11.04
   * Improvements for "Beautify time codes" - thx Flitskikker
   * Add new options for TTS with ElevenLabs - thx cvrle77
   * Add large-v3-turbo to Whisper OpenAI/CPP
   * Update Anthropic Claude Sonnet model name to "claude-3-5-sonnet-latest"
   * Minor improvements for color picker - thx MitchSirco/Siamak
   * Fix some wrong OCR (English) corrections - thx Zoltan
   * Add Icelandic language to ChatGPT + Gemini - thx dhofverberg
   * Change new line handling to match VS code - thx darnn
   * Align navigating video with frame when in frame-time-code-mode
   * Try to add support for Eleven labs "eleven_turbo_v2_5" - thx laszlolaszlo
   * Add "Intel Quick Sync" for "video burn in" - thx ghostminhtoan
   * Allow save selected lines as subtitle with only 1 row selected - thx Pierrounator
   * Ctrl+A not working in subtitle duration field - thx rRobis
   * Allow reading Matroska files with ".mp4" extension
   * Up max byte size for auto-translate server calls to 128K - thx despairTK
   * Make auto-translate setting resizable + a little larger - thx gjaskula
* FIXED:
   * Fix for nulling time code after load of sub from mkv
   * Fix crash in TTS re-generate - thx cvrle77
   * Fix crash while translating subtitles - thx claudemartin
   * Fix issue with OCR/Italic - thx Boulder08/Zoltan
   * Fix for cmd line convert WebVTT to ASSA - thx aaron-meyers
   * Fix bug in EBU validation
   * Fix for restoring Whisper window after minimize - thx vimbackground/innerspeakerz 
   * Minor fix for Cavena890 save options
   * Fix possible crash in "Gen transparent subs" when using video from "Program files"
   * Fix wrong dialog info text in FCE
   * Fix for divide by zero in TTS
   * Fix bug in "Change casing" - thx Hlsgs
   * Fix enter in textbox in FCE - thx p1nkyy/Roger
   * Fix "Dialog styles" for many languags in Netflix quality check - thx Looi
   * Fix wrong timestamp (rounding) for format "CSV" - thx MariaB99
   * Fix LRC with milliseconds issue - thx AverageHoarder
   * Fix crash trying to get subtitles from mp4 - thx nounours18200 
   * Fix crash in split - thx Leon
   * Fix for ffprobe and HDR10 - thx warrentc3 


4.0.8 (6th September 2024) 
* NEW:
   * Add "Batch mode" for "Generate transparent video with subs" - thx David
   * Add "Pixel format" paramter to burn-in - thx Hafran420
   * Add new ChatGPT "gpt-4o-mini" model
   * Add translation via Groq (api.groq.com)
   * Add translation via OpenRouter - thx Nikodim
   * Add custom shortcuts for custom export text templates - thx Oliver
   * Add WebVTT setting for split of style tags - thx Oliver 
   * PAC: Support Portuguese codepage + more - thx Ingo
   * Cavena 890 Greek support etc - thx Ingo
   * Add more "do-not-break-after" lists - thx oep42
   * Handle "dvb_sub" in MKV in "Batch convert" - thx Gerben
   * Add "Tetum" language to Google Translate - thx Asau
   * Add "pt-PT" language to Google Translate + rename pt to "Portuguese (Brazil)" - thx Marco
* IMPROVED:
   * Update Portuguese translation - thx hugok79
   * Update Chinese translation - thx nkh0472
   * Update Italian translation - thx bovirus
   * Update Polish translation - thx admas
   * Update French translation - thx Pierre
   * Update Greek translation - thx PMitsakis
   * Update Spanish translations - thx jmaraujouy
   * Update Romanian translation - thx Mircea
   * Allow for larger files via drop to list view - thx Jim
   * Improve "Generate transparent video with subs" box settings - thx JeditPro
   * Disable line selection options in "Adjust all times" when in "source view"
   * Remember "Adjust durations" in "Batch convert" - thx oep42
* FIXED:
   * Fix crash in TTML IMSC 1.1 - thx Louie
   * Fix Romanian translation version number - thx MediaExpres
   * Fix UI burn-in window spacing/width/height - thx Hafran420 
   * Fix crash in "Whisper Audio to text" if no audio - thx morrellaberdeen 
   * Fix running "Faster-Whisper-XXL" without "Faster-Whisper" - thx shanedk
   * Fix crash in "Fix common errors" - thx Hardstylest
   * Fix for "Visual sync" start/end time validation - thx improck
   * Fix display resolution in "Burn-in subs" batch - thx David
   * Fix combo boxes popup in "Measurement converter" - thx Dehrimon
   * Detect change switching between UTF-8-no-bom/UTF-8-with-bom - thx Minherre
   * Fix crash in Whisper UI (bug in Dutch translation) - thx hpcs444/tsg040
   * Fix bad XML replace in "TTML 1.0" - thx Info
   * Fix undo after "merge selected" for 3+ lines - thx Llorx
   * Fix crash with resolution 0x0 in "Generate transparent subs" - thx hellobigbean*
   * Fix edge case when parsing ms - thx PoneyClairDeLune
   * Fix crash with "Undo-text-timer" - thx JDTR75/cvrle77
   * Fix undesired line-break in auto-translate - thx Dyo-Anima
   * Fix for batch translate via Ollama - thx Anon1337Elite
   * Fix spell check shortcut (was the same as save-as, now Alt+F7) - thx Javier
   * Fix for pasting ASSA in the waveform - thx MitchSirco
   * Fix no header in Batch convert WebVTT to ASSA - thx SardanDev/aaron-meyers


4.0.7 (8th July 2024) 
* NEW:
   * Add "Generate transparent video with subtitles" - thx JeditPro
   * Add Edit - Modify selection - Line length
   * Add support for Faster-Whisper-XXL
   * Add audio settings for TTS final video file
   * Add subtitle format "PodcastIndexer json" - thx rjgout 
   * Add new subtitle format - thx Louie
   * Add new Anthropic Claude 3.5 Sonnet model - thx Flash
* IMPROVED:
   * Update Portuguese translation - thx hugok79
   * Update Brazilian Portuguese translation - thx igorruckert
   * Update French translation - thx Pierre
   * Update Chinese translation - thx nkh0472
   * Update Finnish translation - thx Teijo S	
   * Update Italian translation - thx bovirus
   * Update Russian translation - thx elfriob
   * Update mpv to 2024-06-09
   * Update yt-dlp to 2024-07-02
   * Add decimals to a few averages in statistics - thx Dvid
* FIXED:
   * Fix auto translate crash - thx soscaster
   * Fix crash in Vosk audio to text on selected lines - thx MediaExpres
   * Prompt for overwrite in "Multiple replace" export - thx redactedscribe
   * Fix "abort" for TTS Azure/ElevenLabs - thx cvrle77
   * UI fix for volume text in video player - thx Emiritus1
   * Fix wrong casing fix after "L'" for French - thx Codling/ivandrofly
   * Fix crash when double clicking on Play in TTS review window - thx cvrle77
   * Fix for DCinema colors - thx Pamela


4.0.6 (1st June 2024)
* NEW:
   * Add "Text To Speech" - thx darnn/cvrle77/BlueBlue7891
   * Add burn-in batch mode - thx Leon/David
   * Add new LRC with milliseconds format - thx eadmaster 
   * Add new subtitle format (Whisper output) - thx lererledd
   * Add CPS option to modify selection - thx uckthis
* IMPROVED:
   * Update Portuguese translation - thx hugok79
   * Update Bulgarian translation - thx Калин
   * Update Finnish translation - thx Teijo S	
   * Update Italian language - thx bovirus
   * Update Chinese translation - thx nkh0472
   * Update Polish translation - thx admas
   * Update Korean translation - thx domddol
   * Update Greek translation - thx PMitsakis
   * Update Russian translation - thx elfriob
   * Update Romanian translation - thx MediaExpres
   * Show Vosk/Whisper done msgbox modal (also if not focused) - thx jupester 
   * Allow re-encode with burn-in without subtitle - thx Leon
   * Add the new llama3 model and set as default for "Ollama translate"
   * Allow vertical zoom out in waveform (ctrl+shift+mouse-wheel) - thx Leon
   * Add auto-translate advanced settings
   * Some improvements for auto-translate
   * Set default ChatGPT model to the new "gpt-4o"
   * Add hot keys to the binary OCR "character-inspect-window" - thx trienow
   * Update ffmpeg to 2024-05-23
   * Enable language filter in Whisper window - thx rRobis
   * Add .m4b file extension to audio formats - thx janot
   * Update DeepL languages - thx Uncle-Tio/Ihab
   * Add Swedish to ChatGPT translate - thx Stefan
   * Allow larger subtitle preview font size - thx kadrimarzouki
* FIXED:
   * Fix for Anthropic translate - thx venomousraid 
   * Fix possible crash in teletext reading - thx yellobyte
   * Fix unwanted text boxes background color change - thx Leon
   * Fix Whisper on selection in waveform in "translation mode" - thx rRobis
   * Fix image export shadow when border is zero - thx pixelhunterX
   * Fix crash in translate with empty API key - thx lambdacore12
   * Fix FixMissingPeriodsAtEndOfLine for Chinese - thx Leon


4.0.5 (13th April 2024) 
* NEW:
   * Add "Open video" toolbar button/image - thx jmaraujouy/Cyberyoda1411
   * Add support for S_HDMV/TEXTST in MKV in batch/cmd-line - thx ipsi
   * Add support for Bluray .sup (PGS) embedding in Matroska (.mkv) file
   * Add a few quick setting buttons for Purfview's Faster Whisper Advanced
   * Add a few animation templates for ASSA tool "Apply custom override tags"
   * Add French interjections
   * Add new shortcut "Insert new subtitle at video pos (fill)" - thx Leon/AuroraMartell
   * Add "LM Studio" translate (local) - thx fznx922
   * Add Ollama translate (local) - thx despairTK/Copy2Translator
   * Add Anthropic translate 
   * Add distilled models for Purfview Faster Whisper
* IMPROVED:
   * Update German translation - thx Netspark
   * Update Spanish AR & MX translation - thx jmaraujouy
   * Update Brazilian Portuguese translation - thx igorruckert
   * Update Italian language - thx bovirus
   * Update Russian translation - thx elfriob
   * Update Korean translation - thx domddol
   * Update Portuguese translation - thx hugok79
   * Update Greek translation - thx PMitsakis
   * Improve "Karaoke effect" + new option - thx ivandrofly
   * Make "Timed Text IMSC 1.1" more compatible
   * Improve EBU STL preview regarding box - thx BlueMeow7
   * Update libmpv to 2024-03-17
   * Update yt-dlp to 2024-03-10
   * Update ffmpeg to 2024-03-25
   * Update Purfview Faster Whisper to r189.1
   * Add a few settings for embed output file name - thx liam1900
   * Allow up/down to navigate through combobox - thx ivandrofly/fraternl
   * Change "Fix invalid italics" to add more tags - thx ivandrofly/uckthis
* FIXED:
   * Fix for Whisper post-processing - thx Purfview/cvrle77
   * Fix crash in "Fix common errors" - thx Joe
   * Fix issue with Combobox and ContextMenuStrip - thx ivandrofly
   * Fix ChatGPT translate - thx longhoang1993
   * Fix "Batch convert" crash on Linux - thx ivandrofly/aggravatedanteater 
   * Fix for missing lines when embedding soft subs in .mp4 files - thx Joe
   * Fix layout change crash from un-docked state - thx highflowerG
   * Fix crash in export to "Cavena 890" - thx yovelcohen
   * Fix D-Cinema SMPTE 2014/png - thx ischeriad


4.0.4 (17th March 2024)
* NEW:
   * Add "Verify completeness" (time covered) feature - thx Flitskikker
   * Add "Evenly distribute selected lines (CPS)" - thx Flitskikker
   * Add Whisper CPP model "small.en-q5_1.bin"
   * Add Gemini translate (beta, not all regions) - thx darnn
   * Add sorting of rules in "Multiple replace" - thx caioeverest 
   * Add shortcut for "Translate selected lines"
   * Add custom exit shortcut - thx Onthrax
   * Add new subtitle format "Timed Text IMSC 1.1" - thx Krzysztof
* IMPROVED:
   * Update Korean translation - thx domddol
   * Update Portuguese translation - thx hugok79
   * Update Finnish translation - thx Teijo S
   * Update Chinese translation - thx nkh0472
   * Update French translation - thx Pierre
   * Update Italian language - thx bovirus
   * Update Russian translation - thx elfriob
   * Update Polish translation - thx admas
   * Update Dutch translation - thx Flitskikker
   * Update Bulgarian translation - thx Калин
   * Improve auto-translate re-split (two lines only)
   * Some "Beautify time codes" improvements - thx Flitskikker
   * Set file name after .MKS file import - thx RedSoxFan04
   * Faster cancel in auto-translate - thx Siamak
   * Update Whisper CPP to V1.5.4
   * Update Purfview Faster Whisper to r186.1
   * Add Turkish for ChatGPT translate - thx Bel
   * Allow changing ChatGPT model - thx luannbr
   * Improve ANSI encoding auto detect - thx wifi-left
   * Update Danish OCR dictionaries - thx Claus
   * Add default icon for layout - thx PaulVeld
   * Improve Macedonian language auto detect - thx Aco
   * Auto load video when switching to layout w video - thx Dave 
   * Update Libre translate languages - thx thehijacker
* FIXED:
   * Fix Papago translate - thx banziseo
   * Fix for "outputfilename" in cmd line with SUP source - thx sapphire-bt
   * Do not download PFW "preprocessor_config.json" if not exists - thx Purfview
   * Change "Save as" shortcut to "Control+Shift+S" to work with Polish - thx Krystian
   * Fix crash in "Remove text for HI" - thx darnn
   * Fix single line length to 39 for Netflix Russian - thx Ekaterina
   * Fix for ASSA new file default style - thx mpr0st
   * Fix for counting string length with extended Unicode characters - thx Looi
   * Fix for MyMemory translate to Russian/Hebrew - thx darnn
   * Fix json text decode bug - thx darnn
   * Fix for LRC time code bug - thx fineless71
   * Fix possible crash in MKV/TS reading - thx Maknol
   * Fix for "Add missing periods" and ASSA tags - thx Firegloom
   * Fix Whisper CPP Hebrew language code - thx Udo
   * Fix minor generate video file file-name - thx LeonCheung
   * Fix copy/paste in duration field - thx GCRaistlin
   * Fix crash in "Fix commo errors" - thx dramirvf
   * Fix auto generate waveform with video with empty audio - thx LeonCheung
   * Fix a few broken spell check dictionary links
   * Fix removing italic when toggling music symbols - thx Charvelx04
   * Fix bug in BinEdit BDN/XML writing - thx von Suppé


4.0.3 (23rd December 2023)
* NEW:
   * Add ".opus" + ".adts" audio file extensions - thx vivadavid/Lyubomir71
   * Add two TSV subtitle formats - thx Purfview
   * Add Arabic translation - thx Yahya
   * Add new json subtitle format - thx Lucretia
   * Add auto-translate via Papago
   * Add new shortcut "Set end and start of next after gap" - thx rRobis
   * Allow configure of Whisper post-processing - thx raphaelomoreira
   * Allow create of new "no-break-after-list" from UI - thx lambdacore12
* IMPROVED:
   * Update Polish translation - thx admas
   * Update Finnish translation - thx Teijo S
   * Update Spanish AR & MX translation - thx jmaraujouy
   * Update Chinese translation - thx nkh0472
   * Update German translation - thx Netspark
   * Update Italian language - thx bovirus
   * Update Dutch translation - thx Flitskikker
   * Show file list after Whisper/Vosk batch run - thx Simon
   * Some improvements for SUP/BDN-XML editor - thx Jack1789
   * Add Spanish for ChatGPT translate - thx alvarusk
   * Add some words to SE user dictionary - thx Caleb
   * Update Whisper CPP to v1.5.2
   * Update Purfview's Faster Whisper to r167.2
   * Update libmpv to 2023-11-26
   * Update yt-dlp to 2023-11-16
   * Re-add Whisper Const-me large model v2
   * Audio-to-text: Improve error msg if no write access to video source folder
   * Add delay in seconds to translate via ChatGPT
   * Toggle music symbols, now toggles via first text - thx Leon
   * Use source video folder when saving hard-sub video - thx Leon
   * Better media info + shows details when click on label - thx Leon
   * Add "Formality" for DeepL - thx Marco
* FIXED:
   * Fix for BDSUP cmd line convert - thx Jack1789
   * Do not count HTML tags in SCC in save/load - thx cs127
   * Fix minor space issue with "Fix italic tags" - thx Adam
   * Focus text box after "Set end, add new and go to new" - thx aoifeaoibhee
   * Fix for unwanted "<br />" in MS translator - thx Miguel
   * Only add recent file if saved - thx F5System
   * Fix for mouse wheel scroll direction in video player - thx Peter
   * Fix for ASSA border width in export to image based format - thx Christian
   * Fix crash in generating ASSA borders with odd video resolution - thx Leon
   * Fix crash in "Beautify time codes" - thx Flitskikker
   * Fix for "Batch convert" auto-translate - thx Lunchbox209


4.0.2 (19th November 2023)
* NEW:
   * UI layouts with support for TikTok/YouTube-shorts - thx leon/jmaraujouy/LearningJer 
   * Language filter (to minimize the long list of languages in combo boxes)
   * Interjections are now language specific
   * Translate via Facebook's NLLB (requires local API) - thx sharadagg
   * Translate via LibreTranslate (requires local API) - thx AnonymousWebHacker
   * Statistics for selected lines
   * Shortcut "Set start time and go to next"
   * Add new json subtitle format - thx Neven
   * Add new json format - thx Tim
   * Add Video CD DAT subtitle format - thx Flitskikker
   * Add Italian SE word dictionary file - thx HG3112
   * BD SUP edit: Add "Select non-forced lines" - thx manuelrn
   * Take ASSA style from file in CLI - thx Ninelpienel
   * Split long lines in CLI - thx BenJamesAndo
   * Add new "Remove text for HI" option "only music symbols" - thx fraternl
   * Add format "Cavena 890" to "Batch convert" - thx Steve
* IMPROVED:
   * Update Korean translation - thx domddol
   * Update Italian language - thx bovirus
   * Update Portuguese translation - thx hugok79
   * Update Polish translation - thx admas
   * Update Finnish translation - thx Teijo S
   * Update Chinese translation - thx nkh0472
   * Update French translation - thx Pierre
   * Update Bulgarian translation - thx Калин
   * Update German translation - thx Netspark
   * Update Russian translation - thx elfriob
   * Update Spanish translations - thx jmaraujouy
   * Update Dutch translation - thx Flitskikker
   * Save settings from selected lines unbreak/break - thx David
   * Add simple page up/down for combo-boxes
   * Add access keys for message box buttons - thx Christophe
   * Use split container in "Break/split long lines" - thx oep42
   * Change max font size in ASSA style from 200 to 500 - thx Jim
   * Edit interjection is now a text box - thx Andrebavila
   * Bookmark list now has context menu with edit/delete - thx Andrebavila
   * Update Tesseract to 5.3.3 (2023-10-05, 64-bit only)
   * Auto-translate re-written, so it's easier to add new translators
   * Close all processes when closing Faster Whisper - thx Purfview
   * Allow drag-n-drop in "Multiple replace" rules - thx Clarencezzh
   * ASSA: "Replace style" now works on multi-selection - thx Leon
   * Add some support for ASSA inline color in bdsup export - thx Adam
   * Update cuBLAS/cuDNN libs to v2 for Purfview's Faster Whisper - thx Purfview
   * Update Purfview's Faster Whisper to r160.7 (large v3) - thx Purfview
   * Update Whisper CPP to v1.5.0
   * Update OpenAI Whisper to include large v3 model
   * Update FFmpeg/FFprobe to version 6.1 (from 6.0)
* FIXED:
   * Fix for paste in waveform - thx Ruong
   * Fix remember text box settings (bold/size) - thx Siamak
   * Fix for two pass encoding in burn-in subs - thx Nounours
   * Fix crash in CSV reader - thx Waseem
   * Fix bug in "Remove text for HI" - thx Chamallow
   * Fix find/replace position - thx Omair
   * Fix 3-part time code in TTML - thx ms2048
   * Fix image export simple render center left/right align - thx TheFmC
   * Fix for "Merge short lines" with dialog - thx taxen 
   * Fix duration combo-box frames in frame-time-code-mode - thx JDTR75
   * Fix for BD-SUP edit "toggle forced" - thx manuelrn
   * Fix Whisper post-processing language using "Translate to English" - thx github-roe
   * Fix "ASSA Tools - Set position" on Linux - thx PascalsHere
   * Fix for "Generate video with burned-in subtitle" in SMPTE mode - thx Jim
   * Fix remove of font name in ASSA/SSA - thx PureOcean
   * Fix possible freeze when loading XML files - thx Dvid
   * Fix issues with "Set end, add new, and go to new" - thx Lorqu1n/Flitskikker
   * Fix some missing Thai characters in format PAC - thx thehulk
   * Fix crash in spell check - thx Omair
   * Fix crash minimizing ASSA batch styles - thx Åke
   * Fix crash in "Replace" window after "File - New" - thx Leon


4.0.1 (16th September 2023)
* NEW:
   * Support for import of Ooona shot change file - thx Eva
   * ASSA styles sortable - thx tormento
* IMPROVED:
   * Update Polish translation - thx admas
   * Update Brazilian Portuguese translation - thx igorruckert
   * Update Bulgarian translation - thx Калин
   * Improve "Dark theme" a little
   * Improve mpv download UI a little - thx Mishasama
   * Use UTF encoding from settings when saving BDN/XML - thx nautilus7
   * Take progress % from cmd line if available for Faster Whisper
   * Update Purfview's Faster Whisper to r153
   * Remember "Merge short lines" "Max chars" in "Batch convert" - thx despairTK
* FIXED:
   * Fix video player gfx for installer version - thx David
   * Fix asking for unneeded Purfview Faster Whisper update - thx abc16361
   * Fix keeping colors after restart - thx Cyprien-22
   * Fix error handling for clip board - thx jmaraujouy
   * Fix for zoom waveform drop down width - thx oep42
   * Fix PAC on Linux - thx PunchaiW
   * Fix EBU STL on Linux
   * Fix for using selected text in Find/Replace - thx Daniel
   * Fix for live spell check - thx AE-Ismail
   * Fix non UTF8 encoding in GT - thx Andrebavila/ivandrofly
   * Fix toggle tag in translation mode - thx Leon


4.0.0 (4th September 2023)
* NEW:
   * New toolbar/video-player themes - thx jmaraujouy
   * Beautify time codes (via shot changes) - thx Flitskikker
   * Add Purfview's Faster-Whisper - thx Purfview
   * Use native styles for WebVTT
   * Add video format ProRes for "Generate video with burned-in sub"
   * Allow setting profile from cmd line - thx emcodem
   * ASSA set layer - thx JonSchram
   * Allow OCR of XML/PNG from MXF - thx Rodney
   * Add more "Remove formatting" options in "Batch convert"
   * Add new shortcuts (focus text box, set actor/voice)
* IMPROVED:
   * Update German translation - thx Netspark
   * Update Chinese translation - thx nkh0472
   * Update Bulgarian translation - thx Калин
   * Update Russian translation - thx elfriob
   * Update Portuguese translation - thx hugok79
   * Update Korean translation - thx domddol
   * Update Argentinian/Mexican translation - thx jmaraujouy
   * Update Dutch translation
   * Update Greek translation - thx PMitsakis
   * Improve "Dark theme" (new controls/message-boxes)
   * Update Tesseract OCR to 5.3.1 (64-bit only)
   * Update yt-dlp to 2023.07.06
   * Update lib mpv to 2023-08-27-git-83c0e98
   * Improve convert of SSA to ASSA - thx Emiliano
   * Update burn-in video preview to video - thx Masina86
   * Improve handling of invalid XML in TTML - thx m0ck69
   * Update Whisper Const-me to version 1.12
   * Minor refact/optimize - thx ivandrofly
   * Restructured Whisper folders
   * Improved Whisper error messages + log file "whisper_log.txt"
   * Improve subtitle detection in RTF files - thx Hara
   * Add words/min and exceedances to File > Statistics
   * Enable converting colors to dialogs for WebVTT
   * Add FCE option to unbreak short lines based on pixel width
   * "Check for updates" now also checks plugins - thx ivandrofly
* FIXED:
   * Fix "Find Double Words" - thx uckthis
   * Fix "double dash" issue in "Fix common errors" - thx Joel
   * Avoid crash on very large TS files - thx Mariusz
   * Do not count Unicode control characters in Auto-br - MichaelYochpaz 
   * Fix to eager file locked check - thx OSokil
   * Preserve white space in "Multiple replace import" - thx OtaStrom
   * Fix frozen settings in "Batch convert" - thx OtaStrom
   * Fix export image alignment when using font tag - thx Matt
   * Fix crash in OCR Find - thx przemo20
   * Fix crash generating empty wav for online video - thx Gromko1111 
   * Fix Spanish "Remove text for HI" issues - thx jmaraujouy
   * Fix crash in bilingual split - thx Leon
   * Fix ASSA change resolution for inline margins - thx Nagutos
   * Ignore ASS tags when converting colors to dialog
   * Fix a few issue with the "Color chooser" dialog - thx Windrider6
   * Fix crash in auto-translate - thx fdfg
   * Fix crash in Google Translate Cloud V2 - thx Rielaph
   * Fix alpha in hex color codes - thx Paul
   * BDN XML - DropFrame="False" to DropFrame="false" - thx Alain
   * Fix EBU STL writing on Linux - thx felagund/PunchaiW


3.6.13 (14th May 2023)
* NEW:
   * Add new subtitle format "nVivo transcript" - thx Ashin
   * Add Whisper CTranslate2 - thx jordimas
   * Add "Proper Case" option in "Change casing" - thx lolipopsz
   * Add shortcut for text "color picker" - thx rRobis
   * Add shortcut for 3 seconds forward - thx Cyberyoda1411
   * Add more mpv preview settings in UI
   * Add cmd convert param "/teletextonlypage:<number>" - thx dystopia2017
   * Add export of TTML SMPTE-TT with inline Base64 encoded PNG images
   * Add new settings for WebVTT auto merge
* IMPROVED:
   * Update Hebrew translation - thx אלחנן 
   * Update Slovenian translation - thx Jadran
   * Update Finnish translation - thx Teijo S
   * Update Korean translation - thx domddol
   * Update Chinese translation - thx nkh0472
   * Update Russian translation - thx elfriob
   * Update Portuguese translation - thx hugok79
   * Update Italian language - thx bovirus
   * Update Catalan translation - thx  jordimas
   * Update German translation - thx Netspark
   * Update Bulgarian translation - thx Калин
   * Find/Replace are no longer modal windows - thx Cyberyoda1411/domddol
   * Replace: Add find/replace target + minor redesign
   * List all EBU language codes - thx TerrorizedGakon
   * Update Whisper CPP to v1.4.0
   * Update Whisper Const-me to 1.11
   * Make main text boxes a little wider - thx Cyberyoda1411
   * Allow raw WebVTT preview in mpv - thx DeicPro
   * Make "Toogle custom tags (surround with)" work with empty start or end tag
   * Make "Fix common errors" ignore Chinese six dots - thx TokerX
   * Keep original text box visible when not allowing edit of original - thx OmrSi
* FIXED:
   * Fix "Add embedded subtitles" with ANSI encoding - thx Cyberyoda1411
   * Fix running Whisper CPP/Const-me after setting folder for Whisper OpenAI - thx rsmith02ct
   * Fix possible crash after "Options - Settings" - thx JDTR75
   * Fix undo/redo for text
   * Fix reading "DCinema Interop" with only bold - thx Chris
   * Fix crash in import of SSA styles - thx librafrog
   * Fix possible crash reading .ts files - thx hepalin
   * Fix crash in split lines - thx Papai
   * Fix video cut duration in "Generate video with burned-in subitle" - thx Alxndr
   * Fix "Insert after" with a minimum gap of zero ms - thx steam3d
   * Fix crash in image export - thx dimailer
   * Fix (re-enable) "full frame" for export FCP + image - thx Anders


3.6.12 (26th March 2023)
* NEW:
   * Add/remove embedded subtitles to/from video files - thx David
   * Add Whisper via GPU (Const-me, Windows-only) - thx albino1/darnn/smith02ct
   * Allow video cut when exporting video with burned-in sub - thx Daniela/David/Leon
   * Batch convert: Image-based format to PNG with time code - thx Ninelpienel 
   * Add new shortcut for split + auto-br - thx oep42
   * Add "Sort by" in Batch convert" - thx Masina86
   * Add image format "Rhozet Harmonic" (read-only) - thx Arianna
   * Add "Toggle custom surround text with" shortcut - thx HadiSparrow
   * Add "Go to next/previous time code from video position" shortcuts - thx faon-92
   * Add option to change search engine in "Spell check" - thx Keddyan
   * Add reading of TTML images from ISMT - thx azrie
* IMPROVED:
   * Update French translation - thx Pierre
   * Update Hungarian translation - thx Zityi
   * Update Brazilian Portuguese translation - thx igorruckert
   * Update Bulgarian translation - thx Калин
   * Update Korean translation - thx domddol
   * Update Italian translation - thx bovirus
   * Update Portuguese translation - thx hugok79
   * Update Spanish translations (es-ES/ex-MX/es-AR) - thx paconaranjo
   * Update Russian translation - thx elfriob
   * Update Polish translation - thx admas
   * Update Greek translation - thx PMitsakis
   * Update Whisper CPP to v1.2.0
   * Update yt-dlp to 2023.03.04
   * "Multiple replace" apply button now changes main window - convert Sopor
   * Set iTT default time code format to frames - thx chenlung 
   * Try to handle large ASSA files better - thx MMT
   * Improve double-click-word-select in syntax color text box - thx Janusz/von Suppé
   * Allow split to split to single subtitles - thx Kyth
   * Improve top align detection in TTML - thx koewper
   * Optimize saving of TTML files
   * Allow new syntax for YouTube transcript +1 hour - thx Vasudeo
   * FCPXML now supports latest version - thx Dvid
   * Improve "Redo casing" in "Batch convert" - thx chschmit 
   * Allow larger "Max pixels is space" for nOCR - thx Edgar-Galan
   * Allow blank lines inside text for EBU STL - thx Birgitte
* FIXED:
   * Fix extra space after font in EBU STL - thx Stefan
   * Fix possible crash in batch convert w overwrite - thx chensimmons
   * Fix issue with continuation style suffix "..." and comma - thx Edwin
   * Fix Korean in installer - thx 슈니
   * Fix Japanese in installer - thx homunet
   * Fix for SSA style - thx Amstramgram
   * Fix DCinemaSmpte2014 PNG export (was hidden) - thx MijBro
   * Fix minor left/right cropping issue in image export - thx nissansz
   * Fix possible crash after choosing folder in image export
   * Fix italic/font issue with DFXP - thx IngunnHelge
   * Fix for image export baseline - thx Matt
   * Fix crash in "Generate blank video"
   * Fix too many {\an1} in SCC
   * Fix for "Compare" with ignore formatting+line breaks - thx Omair
